---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsuspendthrd003.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x14E0, symBinAddr: 0x1340, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x4F980, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2380, symSize: 0x2A0 }
  - { offsetInCU: 0xB1A, offset: 0xB1A, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FCE0, symBinAddr: 0x7300, symSize: 0x0 }
  - { offsetInCU: 0xB41, offset: 0xB41, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51C20, symBinAddr: 0x9240, symSize: 0x0 }
  - { offsetInCU: 0xB63, offset: 0xB63, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52010, symBinAddr: 0x9630, symSize: 0x0 }
  - { offsetInCU: 0xB85, offset: 0xB85, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52FB0, symBinAddr: 0xA5D0, symSize: 0x0 }
  - { offsetInCU: 0xB9A, offset: 0xB9A, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52FC0, symBinAddr: 0xA5E0, symSize: 0x0 }
  - { offsetInCU: 0xC15, offset: 0xC15, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F970, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xC20, offset: 0xC20, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F974, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xC2B, offset: 0xC2B, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F978, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC70, offset: 0xC70, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FAC0, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0xCE9, offset: 0xCE9, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FB78, symBinAddr: 0x7298, symSize: 0x0 }
  - { offsetInCU: 0xD07, offset: 0xD07, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FB7C, symBinAddr: 0x729C, symSize: 0x0 }
  - { offsetInCU: 0xD20, offset: 0xD20, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FB80, symBinAddr: 0x72A0, symSize: 0x0 }
  - { offsetInCU: 0xD39, offset: 0xD39, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FB84, symBinAddr: 0x72A4, symSize: 0x0 }
  - { offsetInCU: 0xD52, offset: 0xD52, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FB88, symBinAddr: 0x72A8, symSize: 0x0 }
  - { offsetInCU: 0x9341, offset: 0x9341, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FB90, symBinAddr: 0x72B0, symSize: 0x0 }
  - { offsetInCU: 0x93CA, offset: 0x93CA, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FBA0, symBinAddr: 0x72C0, symSize: 0x0 }
  - { offsetInCU: 0x93E3, offset: 0x93E3, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FBA8, symBinAddr: 0x72C8, symSize: 0x0 }
  - { offsetInCU: 0x93FC, offset: 0x93FC, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FBB0, symBinAddr: 0x72D0, symSize: 0x0 }
  - { offsetInCU: 0x9415, offset: 0x9415, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FBB8, symBinAddr: 0x72D8, symSize: 0x0 }
  - { offsetInCU: 0x942E, offset: 0x942E, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FBC0, symBinAddr: 0x72E0, symSize: 0x0 }
  - { offsetInCU: 0x9448, offset: 0x9448, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FBC8, symBinAddr: 0x72E8, symSize: 0x0 }
  - { offsetInCU: 0x952E, offset: 0x952E, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4FC10, symBinAddr: 0x72F0, symSize: 0x0 }
  - { offsetInCU: 0x9580, offset: 0x9580, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xCE0, symSize: 0x80 }
  - { offsetInCU: 0x9615, offset: 0x9615, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xC30, symSize: 0xB0 }
  - { offsetInCU: 0x9670, offset: 0x9670, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xB30, symSize: 0x100 }
  - { offsetInCU: 0x9903, offset: 0x9903, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xD60, symSize: 0xC0 }
  - { offsetInCU: 0x9955, offset: 0x9955, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xE20, symSize: 0x220 }
  - { offsetInCU: 0x9B3A, offset: 0x9B3A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1040, symSize: 0xA0 }
  - { offsetInCU: 0x9BED, offset: 0x9BED, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x10E0, symSize: 0x110 }
  - { offsetInCU: 0x9CE3, offset: 0x9CE3, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x11F0, symSize: 0x150 }
  - { offsetInCU: 0x9E40, offset: 0x9E40, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1660, symSize: 0x30 }
  - { offsetInCU: 0x9F6D, offset: 0x9F6D, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1690, symSize: 0x150 }
  - { offsetInCU: 0xA165, offset: 0xA165, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x17E0, symSize: 0x160 }
  - { offsetInCU: 0xA425, offset: 0xA425, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1940, symSize: 0x4A0 }
  - { offsetInCU: 0xA698, offset: 0xA698, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1DE0, symSize: 0x1B0 }
  - { offsetInCU: 0xA8B3, offset: 0xA8B3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1F90, symSize: 0xA0 }
  - { offsetInCU: 0xA982, offset: 0xA982, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x2030, symSize: 0x20 }
  - { offsetInCU: 0xA9B9, offset: 0xA9B9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x2050, symSize: 0x20 }
  - { offsetInCU: 0xA9F0, offset: 0xA9F0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2070, symSize: 0x20 }
  - { offsetInCU: 0xAB9F, offset: 0xAB9F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2090, symSize: 0x1A0 }
  - { offsetInCU: 0xAEBB, offset: 0xAEBB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x2230, symSize: 0x150 }
  - { offsetInCU: 0xB078, offset: 0xB078, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2620, symSize: 0x1D0 }
  - { offsetInCU: 0xB374, offset: 0xB374, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x27F0, symSize: 0x80 }
  - { offsetInCU: 0xB43D, offset: 0xB43D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2870, symSize: 0x6C0 }
  - { offsetInCU: 0xBFB3, offset: 0xBFB3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA3C0, symBinAddr: 0x4020, symSize: 0xB0 }
  - { offsetInCU: 0xC02A, offset: 0xC02A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2F30, symSize: 0x70 }
  - { offsetInCU: 0xC0C6, offset: 0xC0C6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_threadByName, symObjAddr: 0x4950, symBinAddr: 0x2FA0, symSize: 0x330 }
  - { offsetInCU: 0xC499, offset: 0xC499, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x32D0, symSize: 0xA0 }
  - { offsetInCU: 0xC578, offset: 0xC578, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x3370, symSize: 0x40 }
  - { offsetInCU: 0xC66E, offset: 0xC66E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x33B0, symSize: 0x2B0 }
  - { offsetInCU: 0xCA14, offset: 0xCA14, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x3660, symSize: 0xC0 }
  - { offsetInCU: 0xCB5A, offset: 0xCB5A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3720, symSize: 0x10 }
  - { offsetInCU: 0xCC1C, offset: 0xCC1C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3730, symSize: 0x240 }
  - { offsetInCU: 0xCF05, offset: 0xCF05, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x3970, symSize: 0x10 }
  - { offsetInCU: 0xCF62, offset: 0xCF62, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x3980, symSize: 0x1E0 }
  - { offsetInCU: 0xD1C5, offset: 0xD1C5, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F00, symBinAddr: 0x3B60, symSize: 0x10 }
  - { offsetInCU: 0xD223, offset: 0xD223, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F10, symBinAddr: 0x3B70, symSize: 0x4B0 }
  - { offsetInCU: 0xD818, offset: 0xD818, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA470, symBinAddr: 0x40D0, symSize: 0x36A }
...
